## CamelNNTPSettings

CamelNNTPSettings

## Functions

gboolean | camel_nntp_settings_get_filter_all ()
void | camel_nntp_settings_set_filter_all ()
gboolean | camel_nntp_settings_get_folder_hierarchy_relative ()
void | camel_nntp_settings_set_folder_hierarchy_relative ()
gboolean | camel_nntp_settings_get_short_folder_names ()
void | camel_nntp_settings_set_short_folder_names ()

## Properties

gboolean | filter-all | Read / Write / Construct
gboolean | folder-hierarchy-relative | Read / Write / Construct
gboolean | short-folder-names | Read / Write / Construct

## Types and Values

struct | CamelNNTPSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelOfflineSettings
                    ╰── CamelNNTPSettings

## Implemented Interfaces

CamelNNTPSettings implements CamelNetworkSettings.

## Description

## Functions

### camel_nntp_settings_get_filter_all ()

    gboolean
    camel_nntp_settings_get_filter_all (CamelNNTPSettings *settings);

Returns whether apply filters in all folders.

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to apply filters in all folders

Since 3.4

### camel_nntp_settings_set_filter_all ()

    void
    camel_nntp_settings_set_filter_all (CamelNNTPSettings *settings,
                                        gboolean filter_all);

Sets whether to apply filters in all folders.

#### Parameters

settings | a CamelNNTPSettings |
filter_all | whether to apply filters in all folders |

Since 3.4

### camel_nntp_settings_get_folder_hierarchy_relative ()

    gboolean
    camel_nntp_settings_get_folder_hierarchy_relative
                                   (CamelNNTPSettings *settings);

Returns whether to show relative folder names when allowing users to subscribe to folders. Since newsgroup folder names reveal the absolute path to the folder (e.g. comp.os.linux), displaying the full folder name in a complete hierarchical listing of the news server is redundant, but possibly harder to read.

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to show relative folder names

Since 3.2

### camel_nntp_settings_set_folder_hierarchy_relative ()

    void
    camel_nntp_settings_set_folder_hierarchy_relative
                                   (CamelNNTPSettings *settings,
                                    gboolean folder_hierarchy_relative);

Sets whether to show relative folder names when allowing users to subscribe to folders. Since newsgroup folder names reveal the absolute path to the folder (e.g. comp.os.linux), displaying the full folder name in a complete hierarchical listing of the news server is redundant, but possibly harder to read.

#### Parameters

settings | a CamelNNTPSettings |
folder_hierarchy_relative | whether to show relative folder names |

Since 3.2

### camel_nntp_settings_get_short_folder_names ()

    gboolean
    camel_nntp_settings_get_short_folder_names
                                   (CamelNNTPSettings *settings);

Returns whether to use shortened folder names (e.g. c.o.linux rather than comp.os.linux).

#### Parameters

settings | a CamelNNTPSettings |

#### Returns

whether to show shortened folder names

Since 3.2

### camel_nntp_settings_set_short_folder_names ()

    void
    camel_nntp_settings_set_short_folder_names
                                   (CamelNNTPSettings *settings,
                                    gboolean short_folder_names);

Sets whether to show shortened folder names (e.g. c.o.linux rather than comp.os.linux).

#### Parameters

settings | a CamelNNTPSettings |
short_folder_names | whether to show shortened folder names |

Since 3.2

## Types and Values

### struct CamelNNTPSettings

    struct CamelNNTPSettings;

## Property Details

### The `“filter-all”` property

      “filter-all”               gboolean

Whether to apply filters in all folders.

Flags: Read / Write / Construct

Default value: FALSE

### The `“folder-hierarchy-relative”` property

      “folder-hierarchy-relative” gboolean

Show relative folder names when subscribing.

Flags: Read / Write / Construct

Default value: FALSE

### The `“short-folder-names”` property

      “short-folder-names”       gboolean

Use shortened folder names.

Flags: Read / Write / Construct

Default value: FALSE